﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.Html.Helper
@using Toyota.Common.Web.MVC;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;

@Html.Common().DevExpress().GridView(settings =>
    {
        settings.Name = "gridDelivery";
        settings.Width = Unit.Percentage(100);

        settings.Settings.ShowFilterRow = true;
        settings.Settings.ShowFilterRowMenu = true;
        settings.Settings.ShowColumnHeaders = true;

        settings.CallbackRouteValues = new { Controller = "DeliveryPurchaseOrder", Action = "Detail" };
        
        settings.SettingsBehavior.AllowSelectSingleRowOnly = false;
        settings.SettingsBehavior.AllowSelectByRowClick = true;

        settings.Settings.HorizontalScrollBarMode = ScrollBarMode.Visible;
        settings.Settings.VerticalScrollBarMode = ScrollBarMode.Hidden;
        settings.Styles.Header.HorizontalAlign = HorizontalAlign.Center;
        settings.Styles.Header.VerticalAlign = VerticalAlign.Middle;

        settings.SettingsPager.FirstPageButton.Visible = true;
        settings.SettingsPager.LastPageButton.Visible = true;
        settings.SettingsPager.ShowNumericButtons = true;
        settings.SettingsPager.Position = PagerPosition.Bottom;
        settings.SettingsPager.PageSizeItemSettings.Visible = true;
        settings.SettingsPager.PageSizeItemSettings.Items = new string[] { "10", "30", "50", "100" };
        settings.SettingsPager.PageSizeItemSettings.Caption = "Page size";

        settings.CommandColumn.Visible = true;
        settings.CommandColumn.Width = Unit.Pixel(40);
        settings.CommandColumn.ClearFilterButton.Visible = true;
        settings.CommandColumn.ShowSelectCheckbox = true;

        settings.CommandColumn.SetHeaderTemplateContent(
            content =>
            {
                Html.DevExpress().CheckBox(
                    checkBox =>
                    {
                        checkBox.Name = "DeliverySelectAllCheckBox"; 
                        checkBox.Checked = content.Grid.Selection.Count > 1;
                    }
                ).Render();
            });

                        

                        settings.Columns.Add("PRNo", "PO No", MVCxGridViewColumnType.TextBox).Width = Unit.Pixel(100);
                        settings.Columns["PRNo"].CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        
                        
                        settings.Columns.Add(col =>
                        {
                            col.FieldName = "RouteConvertion";
                            col.Caption = "Route Convertion";
                            col.Width = 120;
                            col.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                            col.SetDataItemTemplateContent(container =>
                            {
                                Html.DevExpress().HyperLink(hlsettings =>
                                {
                                    hlsettings.Name = string.Format("hl_{0}", (container as GridViewDataItemTemplateContainer).VisibleIndex);
                                    hlsettings.NavigateUrl = "javascript:void(0)";
                                    hlsettings.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ OnHyperLinkClick('{0}'); }}", (container as GridViewDataItemTemplateContainer).Text);
                                    hlsettings.Properties.Text = (container as GridViewDataItemTemplateContainer).Text;
                                    
                                }).Render();
                            });
                        });

                        settings.Columns.Add("RouteCode", "Route Code", MVCxGridViewColumnType.TextBox).Width = Unit.Pixel(100);
                        settings.Columns["RouteCode"].CellStyle.HorizontalAlign = HorizontalAlign.Left;

                        settings.Columns.Add("RouteName", "Route Name", MVCxGridViewColumnType.TextBox).Width = Unit.Pixel(150);
                        settings.Columns["RouteName"].CellStyle.HorizontalAlign = HorizontalAlign.Left;

                        settings.Columns.Add("Trucking", "Logistic Partner", MVCxGridViewColumnType.TextBox).Width = Unit.Pixel(50);
                        settings.Columns["Trucking"].CellStyle.HorizontalAlign = HorizontalAlign.Left;

                        settings.Columns.Add("Qty", "Qty", MVCxGridViewColumnType.TextBox).Width = Unit.Pixel(50);
                        settings.Columns["Qty"].CellStyle.HorizontalAlign = HorizontalAlign.Left;

                        //settings.Columns.Add("Status", "Status", MVCxGridViewColumnType.TextBox).Width = Unit.Pixel(120);
                        //settings.Columns["Status"].CellStyle.HorizontalAlign = HorizontalAlign.Left;

                        
                        //-----------

                        settings.Columns.Add(
                            column =>
                            {
                                column.Name = "Status";
                                column.FieldName = "Status";
                                column.Caption = "Status";

                                column.Width = Unit.Pixel(120);
                                column.HeaderStyle.HorizontalAlign = HorizontalAlign.Center;
                                column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                                column.CellStyle.VerticalAlign = VerticalAlign.Middle;

                                column.SetDataItemTemplateContent(
                                    content =>
                                    {
                                        Html.DevExpress().Label(
                                            label =>
                                            {
                                                label.Name = "GRIDManifestReceiveFlagLabel" + content.VisibleIndex;
                                                label.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                                                label.ControlStyle.VerticalAlign = VerticalAlign.Middle;
                                                object dataItem = DataBinder.Eval(content.DataItem, "MANIFEST_RECEIVE_FLAG");

                                                if (dataItem != null)
                                                {
                                                    switch (Convert.ToString(dataItem))
                                                    {
                                                        case "0":
                                                            label.Text = "PR Proposed";
                                                            break;
                                                        case "1":
                                                            label.Text = "PR Create";
                                                            break;

                                                    }
                                                }
                                                else
                                                {
                                                    label.Text = "PR Proposed";
                                                    //label.Style.Add("visibility", "hidden");
                                                }

                                            }).Render();
                                    });

                                column.ColumnType = MVCxGridViewColumnType.ComboBox;

                                var comboBoxProperties = column.PropertiesEdit as ComboBoxProperties;
                                comboBoxProperties.Items.Add("All", "");
                                comboBoxProperties.Items.Add("PR Proposed", "0");
                                comboBoxProperties.Items.Add("PR Create", "1");


                            });

                        //--------------
                        settings.Columns.AddBand(
                            columnBand =>
                            {
                                columnBand.Caption = "Created";
                                columnBand.Columns.Add(
                                    column =>
                                    {
                                        column.Caption = "By";
                                        column.Name = "CreatedBy";
                                        column.FieldName = "CreatedBy";
                                        column.Width = Unit.Pixel(120);
                                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                        
                                     }
                                 );

                                columnBand.Columns.Add(
                                    column =>
                                    {
                                        column.Caption = "Date";
                                        column.Name = "CreatedDate";
                                        column.FieldName = "CreatedDate";
                                        column.Width = Unit.Pixel(120);
                                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;

                                    }
                                    );

                            }
                            );


                        settings.Columns.AddBand(
                            columnBand =>
                            {
                                columnBand.Caption = "Changed";
                                columnBand.Columns.Add(
                                    column =>
                                    {
                                        column.Caption = "By";
                                        column.Name = "ChangeBy";
                                        column.FieldName = "ChangeBy";
                                        column.Width = Unit.Pixel(120);
                                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;

                                    }
                                 );

                                columnBand.Columns.Add(
                                    column =>
                                    {
                                        column.Caption = "Date";
                                        column.Name = "ChangeDate";
                                        column.FieldName = "ChangeDate";
                                        column.Width = Unit.Pixel(120);
                                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;

                                    }
                                    );

                            }
                            );
                    //}).Bind(Model.GetModel<Portal.Models.DeliveryPurchase.DeliveryPurchaseModel>().DeliveryPurchase).GetHtml()
                    }).GetHtml()    


                    
                     